commit:     18b9751839db4a5bebd79d9e3dac6d19cc0d3ef0
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 28 16:14:13 2015 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Mon Sep 28 16:18:22 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18b97518

sys-block/fio: echo configure step for debugging

 sys-block/fio/fio-2.2.9.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/sys-block/fio/fio-2.2.9.ebuild b/sys-block/fio/fio-2.2.9.ebuild
index 32929cb..6af0f05 100644
--- a/sys-block/fio/fio-2.2.9.ebuild
+++ b/sys-block/fio/fio-2.2.9.ebuild
@@ -51,6 +51,7 @@ src_prepare() {
 src_configure() {
        chmod g-w "${T}"
        # not a real configure script
+       set -- \
        ./configure \
                --extra-cflags="${CFLAGS} ${CPPFLAGS}" \
                --cc="$(tc-getCC)" \
@@ -58,8 +59,9 @@ src_configure() {
                $(usex gtk '--enable-gfio' '') \
                $(usex numa '' '--disable-numa') \
                $(usex rbd '' '--disable-rbd') \
-               $(usex static '--build-static' '') \
-               || die 'configure failed'
+               $(usex static '--build-static' '')
+       echo "$@"
+       "$@" || die 'configure failed'
 }
 
 src_compile() {

Reply via email to